#include <iostream>
#include <vector>
using namespace std;

int main()
{
	long long n = 0, l = 0;
	cin >> n >> l;
	for (long long i = 0; i < n; i++)
	{
		long long temp = 0;
		cin >> temp;
		if (temp <= l)
		{
			cout << i + 1 << endl;
			return 0;
		}
	}
	cout << "-1" << endl;

	return 0;
}